Part RegularPolygon/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(3 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu}} <!-- Note: Screenshot + Formatted Parameters + Scripting section. -->


{{Docnav/ru
{{Docnav/ru
Line 11: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Part_RegularPolygon
|Name=Part_RegularPolygon
Line 19: Line 19:
|SeeAlso=[[Part_Primitives/ru|Примитивы]]
|SeeAlso=[[Part_Primitives/ru|Примитивы]]
}}
}}
</div>


<span id="Description"></span>
==Описание==
==Описание==


<div class="mw-translate-fuzzy">
Создаёт примитив в форме Правильного Многоугольника
Создаёт примитив в форме Правильного Многоугольника
</div>


[[Image:Part_RegularPolygon_Example.png|400px]]

<span id="Usage"></span>
==Применение==
==Применение==


See [[Part_Primitives#Usage|Part Primitives]].
Команда создать Правильный Многоугольник доступна через диалог Создать Примитивы верстака Part(Деталь).
# Переключитесь на [[Image:Workbench_Part.svg|24px]] [[Part_Workbench/ru|верстак Part]]
# Получить доступ к команде Правильный Многоугольник можно несколькими способами:
#* Через диалог Создание Примитивов, нажав кнопку [[Image:Part_Primitives.svg|32px]] [[Part_Primitives/ru|Примитивы]] расположенную на панели Part
#* Через главное меню {{MenuCommand|Деталь → [[Part_Primitives/ru|Создать примитивы]]→ Правильный Многоугольник}}


== Параметры ==
== Example ==


[[Image:Part_RegularPolygon_Scripting_Example.png|thumb|Part RegularPolygon from the scripting example]]
* Многоугольник(Polygon) - количество сторон многоугольника в поперечном сечении объекта в форме призмы.

* Описанный радиус (Circumradius) - радиус описанной окружности - это расстояние от центра многоугольника до его вершины.
A Part RegularPolygon object created with the [[#Scripting|scripting example]] below is shown here.

== Properties ==

See also: [[Property_editor|Property editor]].

A Part RegularPolygon object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Regular Polygon}}

* {{PropertyData|Polygon|IntegerConstraint}}: The number of sides of the polygon. The default is {{Value|6}}.
* {{PropertyData|Circumradius|Length}}: The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is {{Value|2mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part RegularPolygon can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
}}

* Where {{Incode|"myPolygon"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()
}}




Line 47: Line 96:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 12:17, 26 June 2023

Правильный Многоугольник

Системное название
Part_RegularPolygon
Расположение в меню
Деталь → Создать примитивы... → Правильный Многоугольник
Верстаки
Верстак Part
Быстрые клавиши
Нет
Представлено в версии
0.14
См. также
Примитивы

Описание

Создаёт примитив в форме Правильного Многоугольника

Применение

See Part Primitives.

Example

Part RegularPolygon from the scripting example

A Part RegularPolygon object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part RegularPolygon object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Regular Polygon

  • ДанныеPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • ДанныеCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part RegularPolygon can be created with the addObject() method of the document:

poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
  • Where "myPolygon" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()